## nspeed 1.1-1

=== tools/3ds2h/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# tools/3ds2h/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/nspeed
pkglibdir = $(libdir)/nspeed
pkgincludedir = $(includedir)/nspeed
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
target_triplet = arm-unknown-linux-gnueabi
noinst_PROGRAMS = 3ds2h$(EXEEXT)
subdir = tools/3ds2h
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/src/AutoConfig.h
CONFIG_CLEAN_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_3ds2h_OBJECTS = 3ds2h.$(OBJEXT)
3ds2h_OBJECTS = $(am_3ds2h_OBJECTS)
3ds2h_LDADD = $(LDADD)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(3ds2h_SOURCES)
DIST_SOURCES = $(3ds2h_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/skyostil/proj/maemo/nspeed/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/skyostil/proj/maemo/nspeed/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/skyostil/proj/maemo/nspeed/missing --run autoconf
AUTOHEADER = ${SHELL} /home/skyostil/proj/maemo/nspeed/missing --run autoheader
AUTOMAKE = ${SHELL} /home/skyostil/proj/maemo/nspeed/missing --run automake-1.9
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2 -fno-rtti -fno-exceptions -ffast-math 
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GREP = /bin/grep
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = -Wl,-z,defs
LIBOBJS = 
LIBS = -lXsp -lz -lSDL_image 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/skyostil/proj/maemo/nspeed/missing --run makeinfo
OBJEXT = o
PACKAGE = nspeed
PACKAGE_BUGREPORT = sami.kyostila@gmail.com
PACKAGE_NAME = nspeed
PACKAGE_STRING = nspeed 1.1
PACKAGE_TARNAME = nspeed
PACKAGE_VERSION = 1.1
PATH_SEPARATOR = :
RANLIB = ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_REENTRANT
SDL_CONFIG = /home/skyostil/.maemo-sdk/rootstraps/armel/diablo4.1.1_armel/usr/bin/sdl-config
SDL_LIBS = -L/usr/lib -lSDL -lpthread
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 1.1
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = arm-linux-gnueabi
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/skyostil/proj/maemo/nspeed/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = arm-unknown-linux-gnueabi
target_alias = 
target_cpu = arm
target_os = linux-gnueabi
target_vendor = unknown
INCLUDES = $(all_includes)
METASOURCES = AUTO
3ds2h_LDFLAGS = -l3ds
3ds2h_SOURCES = 3ds2h.c
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  tools/3ds2h/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  tools/3ds2h/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
3ds2h$(EXEEXT): $(3ds2h_OBJECTS) $(3ds2h_DEPENDENCIES) 
	@rm -f 3ds2h$(EXEEXT)
	$(LINK) $(3ds2h_LDFLAGS) $(3ds2h_OBJECTS) $(3ds2h_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/3ds2h.Po

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(PROGRAMS)
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
	mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-libtool distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile

=== tools/3ds2mesh/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# tools/3ds2mesh/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/nspeed
pkglibdir = $(libdir)/nspeed
pkgincludedir = $(includedir)/nspeed
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
target_triplet = arm-unknown-linux-gnueabi
noinst_PROGRAMS = 3ds2mesh$(EXEEXT)
subdir = tools/3ds2mesh
DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/src/AutoConfig.h
CONFIG_CLEAN_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_3ds2mesh_OBJECTS = TagFile.$(OBJEXT) 3ds2mesh.$(OBJEXT)
3ds2mesh_OBJECTS = $(am_3ds2mesh_OBJECTS)
3ds2mesh_DEPENDENCIES =
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(3ds2mesh_SOURCES)
DIST_SOURCES = $(3ds2mesh_SOURCES)
HEADERS = $(noinst_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/skyostil/proj/maemo/nspeed/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/skyostil/proj/maemo/nspeed/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/skyostil/proj/maemo/nspeed/missing --run autoconf
AUTOHEADER = ${SHELL} /home/skyostil/proj/maemo/nspeed/missing --run autoheader
AUTOMAKE = ${SHELL} /home/skyostil/proj/maemo/nspeed/missing --run automake-1.9
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2 -fno-rtti -fno-exceptions -ffast-math 
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GREP = /bin/grep
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = -Wl,-z,defs
LIBOBJS = 
LIBS = -lXsp -lz -lSDL_image 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/skyostil/proj/maemo/nspeed/missing --run makeinfo
OBJEXT = o
PACKAGE = nspeed
PACKAGE_BUGREPORT = sami.kyostila@gmail.com
PACKAGE_NAME = nspeed
PACKAGE_STRING = nspeed 1.1
PACKAGE_TARNAME = nspeed
PACKAGE_VERSION = 1.1
PATH_SEPARATOR = :
RANLIB = ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_REENTRANT
SDL_CONFIG = /home/skyostil/.maemo-sdk/rootstraps/armel/diablo4.1.1_armel/usr/bin/sdl-config
SDL_LIBS = -L/usr/lib -lSDL -lpthread
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 1.1
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = arm-linux-gnueabi
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/skyostil/proj/maemo/nspeed/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = arm-unknown-linux-gnueabi
target_alias = 
target_cpu = arm
target_os = linux-gnueabi
target_vendor = unknown
INCLUDES = $(all_includes) -I../../unix
METASOURCES = AUTO
3ds2mesh_LDADD = -l3ds -lz
3ds2mesh_SOURCES = TagFile.cpp TagFile.h 3ds2mesh.cpp
noinst_HEADERS = Config.h
all: all-am

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  tools/3ds2mesh/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  tools/3ds2mesh/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
3ds2mesh$(EXEEXT): $(3ds2mesh_OBJECTS) $(3ds2mesh_DEPENDENCIES) 
	@rm -f 3ds2mesh$(EXEEXT)
	$(CXXLINK) $(3ds2mesh_LDFLAGS) $(3ds2mesh_OBJECTS) $(3ds2mesh_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/3ds2mesh.Po
include ./$(DEPDIR)/TagFile.Po

.cpp.o:
	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.cpp.lo:
	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(LTCXXCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(PROGRAMS) $(HEADERS)
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:

=== debian/changelog ===
nspeed (1.1-1) unstable; urgency=low

  * Initial release

 -- Sami Kystil <sami.kyostila@gmail.com>  Wed, 26 Nov 2008 00:02:47 +0200

=== debian/control ===
Source: nspeed
Section: user/games
Priority: extra
Maintainer: Sami Kyostila <sami.kyostila@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, libosso-dev (>= 1), libsdl1.2-dev, libsdl-image1.2-dev, libxsp-dev, zlib1g-dev, libx11-dev
Standards-Version: 3.8.0
Homepage: http://unrealvoodoo.org/projects/n-speed

Package: nspeed
Section: user/games
Architecture: any
Pre-Depends: maemo-select-menu-location
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A futuristic 3D racing game
 N-Speed is a futuristic 3D racing game.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAWEAYAAACOGFD2AAAABGdBTUEAALGPC/xh
 BQAAAAFzUkdCAK7OHOkAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUwAADqYAAA
 OpgAABdwnLpRPAAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALiQAAC4kBN8nL
 rQAAAAl2cEFnAAAAGgAAABYAqwcpIwAACbpJREFUWMPllmdU1Fcaxp//9EEYBphC
 E4kGQYhIt4AhaAgWIoobW9SoWFg1yoqxpdiyEgUsmGI3iGWNsaNEsSBqYHRpIjhS
 BykOODB9mH7zIeVDdnPW1SRnz9nny70f7j3v8zvve59zgT9Z1EGaP62MvkxkHSAL
 uzgqAeOxBLtw5c/28dJyPOXKdp/Vj/8ufd3kQ3Nun05ffvB2mT8hzAMOLOdWEef3
 qkP7o0GcnrgVe17s3+ftJUuLdusL33MinsbAwzHJlbF1p55NBZwvBC2Y0rqHD08M
 xxxk/s8C9RMOznn9y4lZ47ctXZwTUOjBqXBd5TXOb6f8kHK6aSvAHsX2YiYAA4KH
 fZbUMOkprY6dxQsWLnzZuvTfG8QvLPLgGM0sWkzau9L1i47m0Os5u3nPBBv15cYJ
 NgC2UJKLO4A4y+VbjhvQWi23aCMBU6dpufmB9VTvTbnh4c3rZ1+0/kt3iFpI2Wnn
 6ctiZFO80427Z49VpKg3MXJhOmtdQoUyB6p79RlWBaDWaAssUYBB0HvJ8jXwqLwh
 qKsJUBcrX9PpALcRgf9MnPKBlD/e1xZ1YgLzhf286EWGgHGfeZm1YVrkioQdslMq
 j9SAkhEjJuywOZHh6Au0HehapPcBmFF0MaUCDCJTle1zwL7AtsteDNhW2VnkO8Dm
 THyIDlCUK517GYB+rvJmZ3g7rV1eEnFoWvok9fQm+d2VJ8/8YUBsgdNA4TqfqSmG
 lfwM933nRhe/9W780gQj7RT9PuUCsDhMOj0VMCYZ91s/BDpk3XmGOqDp/NMqwwbA
 63uB1iEEYN5mzGO6AEaJJdMyA+hwVqTqHwCVwvrs7s8BZYfKXTvUMlzmeqMzZ1mK
 URPeeK2Yl1dJiRmvcGPcFjvOENL6zfdj0RKJt+WkbqJ6tPxWY8HDN/5roIVZH2V8
 8Y9zBQkt46aNNyeNcbBz5zEOANZxtkHEFai990Sv/R7o3qWaZaoC1DUGmTkd4Llw
 x1H7Ae5HnEbOVsD9rovE8SmAPtRBSgGoHPR9DXVAdW5TaE85IFvertBsAjTrtA/0
 aouD8mjb9EZJnZvYLrrG9xQnxs8ePWp4guArRn2XuDRi9rAtSatnpUblSRjPCyIi
 nop+f50eHXZx+KhRx96eT5VSfahktNk3Ez2mA3ck1XvljUDXbdUxSyhg2m7psWkA
 oYSfyx0I9O4xH7KeAMge6qg1G+icrwrW+QL8aEcpVwQwoumENhLgqfpIWEEAdxT7
 KtMC0NaRKMc2pqHf2mFrhwUHIezywBVu4YDoCL/cYREgWXZ/Xss0ptsvT+E5B+1y
 F9UhaPlqTeEZv6Nhe/bS7kw4OHP0+zGArdQ+11wJkFUYQx8N0NbSPrS6Aaw0eiBJ
 A4w602arCGBdYArpgwDdQsN5yyaAEUiLpVUDzwaoAgy1gFe+YICTL8DLdeAxbwH8
 fJ6FkwywE9wqGVogMi+gXFAGMO7Sy2lGQKPUe5m/Bqpeq35fKqZfA7D9eYCyWQ7s
 bHb24kD2q1wFVzH4RgdV13K7HWjeVvVFQDMgKgiQxp4DPHLcFjrNBuhHaFbaeOCZ
 i+oCtgGmRusC+xBA93qv0XIYcHXh2TmJgP67XpuxFIj8MiBeqAD0dNNx+xqgY5si
 xegHuFl4bdzHQFCvb4yrFsB5jCUjgScLu1ZoM4HasuaUngVAq0J+TLMT3j/5bfpN
 IGo91Uw1D9K4DBTGCZQb7/Xze0XgW0pl8qqdah2lgHJ340bJMsAso613PA5gEj8p
 IAbwPiAa5jgGMK+0ZNpEQGcfpb7374BDK3sMFQDYdtqf2VuA2OshWzzOAcxWeii1
 ESgRP/KV3wBckhz57EVAQL6PkK8A1Ff0C8xcoL64vVYVBzy+ItvYcwJ4uqIjvvst
 U0nvSG2R+q7ub0hDJ4D3fzMUmDTWaNbove2iUM9PPIct9AxpDCkKuQ68mtxX4/kJ
 YD9rF9ijAAPHxqKKgd4ioXDkBWBgXlBr0GmAPYt5hJkIWD+1XCEPAFO7RWaJBeKK
 QjxEJYClzF5BrgLl/R+buh8CCplymuV7wNvT/ZRTHCD7Sp6gEQH1xW191Uygq1Ux
 XecKKM1tpbU59wrlO8rGnhyyYa9hYsf2ysSC0z/7/o2fQqAXU84qZhVnuXs4933g
 7c+NYLTTH1JxAEvJ/oZVALgud94geAdAhD3ftAXQZ3dOrZkPOOW5bnKPAMQx4kzv
 cqD/DY9jXC4QrPB74sID7NmIIFeBKjRWKQHYBtgXM98CaDvpsdRdoLKnoaT7M6A5
 /GmW1h9Q5ijVWlcTr3H51cwdrnO/lTPvITc2XW9Zp8l6GvY499fOfzVy7IQf132J
 zKGseFa86yJ9hUFrTAecdjuuNicDLZ1tJ9szAJvEIrb1B5BB11InAIVrd1jPYqBs
 /4HErP3AO6rU1o0+gEe4y9KBIwDdN/rp5gsAplIDqCkAaSJdtFSgMa/jsOo40NGl
 +NhAB3qWKAt1NdaP2lZW8POd9+3rbqg5nN+2457RWRXdEdIw6Cej5f8xx4RrvNv9
 JEPY/pVDvceOJXmMr5klzBJC3Of0K/aLJEQQ5+Hv4UNI6LWo7shJhAw+F1EUXkqI
 /6HgIUPGEtIngyfk0QnBG5iIiYTwx7ldEpcScjK5aEnNakK+O1F5v62bkF23L86o
 CyRk5vysKXf7ExL7yUr5VUdCgv1mrtznXGdyXuvlOmjNsIznS99/p29wFXdQ+ebx
 OaZN3ced30va+kGhJyGcO45r+fWE/HiIEFQwnLhXCKHNpZloJkJEaV7RfbcQIn7k
 ler9gJA3g5KkM44RMvl4yqX0ZEI2x+1dcVZKSEFGhbTtLCFHvYqo5kBCFuV8vlWS
 SEhscbrvpSkae//6kdo5Oz+9jjik4QyevjjIT2HGcmGVsWdzfLfWn7RIArs/bhrX
 KbVIHeapY5rW31kMsMS2Bv0+wMHKFVChwGBpyPCwpcAr7QFlwXKAs5qdz7QApmWm
 G1YloIvurbEWAQZ9b4otFui2as6YbgH1c9qGqnNNJfcSbl8sNF7WNQwpNue5pbk8
 e9R69vGtJ5EvC/LLGzIrzeGmI0ZZyeT8ikMbMvDa7PibC2yb8cbe5MzJ2wHBCf46
 ThVgT7H3sTsCpsPWQqIDzNHGdea1QPO9pvgnFc0blFKFVDGx5+2WqJaPW+pkw+tu
 PGLVDKlM1lXr1FqRVlw74D6jSJgvUbOenWwraJT8XgD/0qGfN0wr6yZ7Msd3ZsyS
 tDXNn8149S/+foPYweelqyolpYevp2tWqe9odmvcZYKGlY9MDya1Fz+5KpvdFK05
 rZIpfbvrzUyTi9HH0PpHGf2/1Q/xqW7zohk0QQAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif



config.status: configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="-O2 -fno-rtti -fno-exceptions -ffast-math $(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/nspeed.sgml > nspeed.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	#dh_prep  
	dh_installdirs

	# Add here commands to install the package into debian/nspeed.
	$(MAKE) DESTDIR=$(CURDIR)/debian/nspeed install

	# Install files for Maemo
	mkdir -p $(CURDIR)/debian/nspeed/usr/share/icons/hicolor/26x26/hildon
	mkdir -p $(CURDIR)/debian/nspeed/usr/share/icons/hicolor/40x40/hildon
	mkdir -p $(CURDIR)/debian/nspeed/usr/share/icons/hicolor/scalable/hildon
	cp data/nspeed26.png $(CURDIR)/debian/nspeed/usr/share/icons/hicolor/26x26/hildon/nspeed.png
	cp data/nspeed40.png $(CURDIR)/debian/nspeed/usr/share/icons/hicolor/40x40/hildon/nspeed.png
	cp data/nspeed64.png $(CURDIR)/debian/nspeed/usr/share/icons/hicolor/scalable/hildon/nspeed.png

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## nspeed 1.2-1

=== debian/changelog ===
nspeed (1.2-1) unstable; urgency=low

  * Improved touch screen controls
  * Fixed key map for the N900
  * Updated build dependencies for Fremantle
  * Cleaned up configure.in

 -- Sami Kystil <sami.kyostila@gmail.com>  Wed, 26 Nov 2008 00:02:47 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: user/games
 Priority: extra
 Maintainer: Sami Kyostila <sami.kyostila@gmail.com>
-Build-Depends: debhelper (>= 5), autotools-dev, libosso-dev (>= 1), libsdl1.2-dev, libsdl-image1.2-dev, libxsp-dev, zlib1g-dev, libx11-dev
+Build-Depends: debhelper (>= 5), autotools-dev, libosso-dev (>= 1), libsdl1.2-dev, libsdl-image1.2-dev, libxsp-dev, zlib1g-dev, libx11-dev, dbus
 Standards-Version: 3.8.0
 Homepage: http://unrealvoodoo.org/projects/n-speed
 
 Package: nspeed
 Section: user/games
 Architecture: any
-Pre-Depends: maemo-select-menu-location
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: A futuristic 3D racing game
  N-Speed is a futuristic 3D racing game.

=== debian/rules ===
--- 
+++ 
@@ -69,9 +69,11 @@
 	mkdir -p $(CURDIR)/debian/nspeed/usr/share/icons/hicolor/26x26/hildon
 	mkdir -p $(CURDIR)/debian/nspeed/usr/share/icons/hicolor/40x40/hildon
 	mkdir -p $(CURDIR)/debian/nspeed/usr/share/icons/hicolor/scalable/hildon
+	mkdir -p $(CURDIR)/debian/nspeed/usr/share/dbus-1/services/
 	cp data/nspeed26.png $(CURDIR)/debian/nspeed/usr/share/icons/hicolor/26x26/hildon/nspeed.png
 	cp data/nspeed40.png $(CURDIR)/debian/nspeed/usr/share/icons/hicolor/40x40/hildon/nspeed.png
 	cp data/nspeed64.png $(CURDIR)/debian/nspeed/usr/share/icons/hicolor/scalable/hildon/nspeed.png
+	cp data/org.unrealvoodoo.nspeed.service $(CURDIR)/debian/nspeed/usr/share/dbus-1/services/
 
 # Build architecture-independent files here.
 binary-indep: install

## nspeed 1.2-2

=== CMakeLists.txt ===
Project(N-Speed)
cmake_minimum_required(VERSION 2.6)

set (
  SOURCES
  src/BitmapFont.cpp
  src/Car.cpp
  src/Environment.cpp
  src/FixedPointMath.cpp
  src/FixedPointMatrix.cpp
  src/FixedPointVector.cpp
  src/GameEngine.cpp
  src/Land.cpp
  src/Menu.cpp
  src/Mesh.cpp
  src/MeshSet.cpp
  src/Mixer.cpp
  src/ModPlayer.cpp
  src/Object.cpp
  src/Rasterizer.cpp
  src/TagFile.cpp
  src/TestGame.cpp
  src/Texture.cpp
  src/Track.cpp
  src/View.cpp
  src/World.cpp
  src/engine/Engine.cpp
  src/engine/Video.cpp
  src/engine/Audio.cpp
  src/framework/sdl/SDLFramework.cpp
)
include_directories(src unix)

add_definitions(-DPREFIX=".")
find_package(SDL REQUIRED)
find_package(SDL_image REQUIRED)

link_libraries(
  ${SDL_LIBRARY}
  ${SDLIMAGE_LIBRARY}
)

add_executable(
  nspeed
  WIN32
  MACOSX_BUNDLE
  ${SOURCES}
)

=== debian/changelog ===
nspeed (1.2-2) unstable; urgency=low

  * Added bug tracker link to debian/control
  * Changed application icon size to 48x48
  * Fixed high score saving
  * Backported some mixer improvements
  * Added optification

 -- Sami Kystil <sami.kyostila@gmail.com>  Wed, 30 Dec 2009 18:08:11 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,16 @@
 Build-Depends: debhelper (>= 5), autotools-dev, libosso-dev (>= 1), libsdl1.2-dev, libsdl-image1.2-dev, libxsp-dev, zlib1g-dev, libx11-dev, dbus
 Standards-Version: 3.8.0
 Homepage: http://unrealvoodoo.org/projects/n-speed
+XSBC-Bugtracker: http://unrealvoodoo.org/bugs/nspeed/
 
 Package: nspeed
 Section: user/games
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Homepage: http://unrealvoodoo.org/projects/n-speed
 Description: A futuristic 3D racing game
  N-Speed is a futuristic 3D racing game.
+XSBC-Bugtracker: http://unrealvoodoo.org/bugs/nspeed/
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAWEAYAAACOGFD2AAAABGdBTUEAALGPC/xh
  BQAAAAFzUkdCAK7OHOkAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUwAADqYAAA

=== debian/rules ===
--- 
+++ 
@@ -107,6 +107,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
+	maemo-optify nspeed
 	dh_md5sums
 	dh_builddeb
